(***********************************************************************)
(*  v      *   The Coq Proof Assistant  /  The Coq Development Team    *)
(* <O___,, *        INRIA-Rocquencourt  &  LRI-CNRS-Orsay              *)
(*   \VV/  *************************************************************)
(*    //   *      This file is distributed under the terms of the      *)
(*         *       GNU Lesser General Public License Version 2.1       *)
(***********************************************************************)

(*i $Id: extract_env.mli,v 1.6 2002/08/02 17:17:25 coq Exp $ i*)

(*s This module declares the extraction commands. *)

open Util
open Names
open Libnames

val extraction : qualid located -> unit
val extraction_rec : qualid located list -> unit
val extraction_file : string -> qualid located list -> unit
val extraction_module : identifier -> unit
val recursive_extraction_module : identifier -> unit
