(***********************************************************************)
(*  v      *   The Coq Proof Assistant  /  The Coq Development Team    *)
(* <O___,, *        INRIA-Rocquencourt  &  LRI-CNRS-Orsay              *)
(*   \VV/  *************************************************************)
(*    //   *      This file is distributed under the terms of the      *)
(*         *       GNU Lesser General Public License Version 2.1       *)
(***********************************************************************)

(*i $Id: dischargedhypsmap.mli,v 1.1.2.1 2002/09/03 16:24:08 sacerdot Exp $ i*)

(*i*)
open Libnames
open Term
open Environ
open Nametab
(*i*)

type discharged_hyps = section_path list

(*s Discharged hypothesis. Here we store the discharged hypothesis of each *)
(*  constant or inductive type declaration.                                *)

val set_discharged_hyps : section_path -> discharged_hyps -> unit
val get_discharged_hyps : section_path -> discharged_hyps
